/*
 * gsampler-database-search.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 *
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_DATABASE_SEARCH_H_
#define _GSAMPLER_DATABASE_SEARCH_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_DATABASE_SEARCH             (gsampler_database_search_get_type ())
#define GSAMPLER_DATABASE_SEARCH(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_DATABASE_SEARCH, GsamplerDatabaseSearch))
#define GSAMPLER_DATABASE_SEARCH_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_DATABASE_SEARCH, GsamplerDatabaseSearchClass))
#define GSAMPLER_IS_DATABASE_SEARCH(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_DATABASE_SEARCH))
#define GSAMPLER_IS_DATABASE_SEARCH_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_DATABASE_SEARCH))
#define GSAMPLER_DATABASE_SEARCH_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_DATABASE_SEARCH, GsamplerDatabaseSearchClass))

typedef struct _GsamplerDatabaseSearchClass GsamplerDatabaseSearchClass;
typedef struct _GsamplerDatabaseSearch GsamplerDatabaseSearch;

struct _GsamplerDatabaseSearchClass
{
	GtkDialogClass parent_class;
};

struct _GsamplerDatabaseSearch
{
	GtkDialog parent_instance;
	GtkWidget* dir_entry;
	GtkWidget* find_entry;
	GtkTreeView *result_view;
	gchar** result;
};

GType gsampler_database_search_get_type (void) G_GNUC_CONST;

GsamplerDatabaseSearch* gsampler_database_search_new (void);

G_END_DECLS

#endif /* _GSAMPLER_DATABASE_SEARCH_H_ */
